# Method: projects.locations.jobs.create

- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/create#body.request_body)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/create#body.aspect)

Creates a Job.

### HTTP request

`POST https://run.googleapis.com/v2/{parent}/jobs`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The location and project in which this Job should be created. Format: projects/{project}/locations/{location}, where {project} can be project id or number. It takes the form `projects/{project}/locations/{location}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `run.jobs.create` |

### Query parameters

| Parameters ||
|---|---|
| `jobId` | `string` Optional. The unique identifier for the Job. The name of the job becomes {parent}/jobs/{jobId}. If not provided, the server will generate a unique `jobId`. |
| `validateOnly` | `boolean` Indicates that the request should be validated and default values populated, without persisting the request or creating any resources. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs#Job`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).